[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# IProviderSupport.PSReset

Position the dataset on the first record

## Declaration

Source position: db.pas line 1431

`procedure IProviderSupport.PSReset;`

## Description

PSReset repositions the dataset on the first record. For bi-directional datasets, this usually means that first is called, but for unidirectional datasets this may result in re-fetching the data from the underlying database.

## See also

TDataset.First |  | Position the dataset on the first record.
TDataset.Open |  | Activate the dataset: Fetch data into memory.